Skip to:
Content

bbPress.org

Opened 4 years ago

Closed 3 years ago

#2901 closed defect (fixed)

Use modern feed Content-Type

Reported by: thebrandonallen Owned by: netweb
Milestone: 2.5.9 Priority: normal
Severity: normal Version: trunk
Component: API - Feeds Keywords: has-patch
Cc:

Description

Per https://wordpress.slack.com/archives/meta/p1452311904001255, in response to [WP32468] and [WP36230], we should update our feed_content_type( 'rss-http' ) to feed_content_type( 'rss' ).

Attachments (2)

2901.01.patch (1.3 KB) - added by thebrandonallen 4 years ago.
2901.01.branch.patch (1.2 KB) - added by thebrandonallen 4 years ago.
2.5 branch

Download all attachments as: .zip

Change History (5)

@thebrandonallen
4 years ago

2.5 branch

#1 @netweb
4 years ago

  • Owner set to netweb
  • Resolution set to fixed
  • Status changed from new to closed

In 5969:

API - Feeds: Use feed_content_type( 'rss2' ) for RSS feeds.

This changeset updates the RSS 2 native mime type application/rss+xml, previously rss-http used text/xml which was removed from WordPress in [WP36230] and [WP32468].

Props thebrandonallen.
Fixes #2901.

#2 @netweb
4 years ago

  • Milestone changed from 2.6 to 2.5.9
  • Resolution fixed deleted
  • Status changed from closed to reopened

Reopening for the 2.5 branch

Backporting this to the 2.5 branch will ensure feeds continue to work as expected with WordPress 4.4, using feed_content_type( 'rss2' ) for feeds is also backward compatible right back to WordPress 2.x

#3 @netweb
3 years ago

  • Resolution set to fixed
  • Status changed from reopened to closed

In 6021:

API - Feeds: Use feed_content_type( 'rss2' ) for RSS feeds.

This changeset updates the RSS 2 native mime type application/rss+xml, previously rss-http used text/xml which was removed from WordPress in [WP36230] and [WP32468].

(2.5 branch)
Props thebrandonallen.
Fixes #2901.

Note: See TracTickets for help on using tickets.